package body MSHTML.DispWebGeocoordinates_Object is

   function Get_latitude
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_latitude);
   end Get_latitude;

   function Get_longitude
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_longitude);
   end Get_longitude;

   function Get_altitude
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_altitude);
   end Get_altitude;

   function Get_accuracy
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_accuracy);
   end Get_accuracy;

   function Get_altitudeAccuracy
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_altitudeAccuracy);
   end Get_altitudeAccuracy;

   function Get_heading
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_heading);
   end Get_heading;

   function Get_speed
     (This : DispWebGeocoordinates_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispWebGeocoordinates_Get_speed);
   end Get_speed;

end MSHTML.DispWebGeocoordinates_Object;

